// ====================================================================
// Template toolbox_skeleton
// This file is released under the 3-clause BSD license. See COPYING-BSD.
// ====================================================================
//
//
function [Messages] = ReceiveMessage(MessagePointName,...//имя точки обмена сообщениями
                                     WaitMessage,...//Ожидание сообщения
                                     WaitingTime..//Время ождидания, мс
                                     )
    //Значения по умолчанию
    nArg = argn(2);
    select nArg
    case 0 then
        Messages = [];
        error('This function takes 1 or 2 arguments');
    case 1 then
        WaitMessage = %f;//Не ждем сообщения
        WaitingTime = -1;//Ждем до бесконечности
    case 2 then
        WaitingTime = -1;//Ждем до бесконечности
    end
    
    //Получаем сообщения
    tic();//Начинаем отсчет времени
    exitCondition = %f;//Условие выхода
    while ~exitCondition
        Messages = SOCKET_read(MessagePointName);//Считываем сообщения
        exitCondition = ~WaitMessage || ~isempty(Messages) || (WaitingTime >= 0) && (toc() > WaitingTime);//Условие выхода
    end
    
    //Меняем очередность сообщений
    if ~isempty(Messages) then
        Messages = Messages($:-1:1);
    end
endfunction
// ====================================================================
